Bug 243982 - [RFE] Postfix should provide a way to set up autoreplies
[RFE] Postfix should provide a way to set up autoreplies
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: postfix (Show other bugs)
All Linux
low Severity high
: rc
: ---
Assigned To: Jaroslav Škarvada
Depends On:
  Show dependency treegraph
Reported: 2007-06-13 04:05 EDT by Răzvan Sandu
Modified: 2012-03-06 09:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-06 09:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-06-13 04:05:36 EDT
Description of problem:


IMHO, the following is a major limitation / missing feature in Postfix:

Regular users should be provided with a facile way of setting an auto-reply
message for themselves ("I'm out of office until September."  ;-) )

This mechanism should meet the following criteria:

- can be done remotely, in a facile way (via a Web interface ?)

- should be 100% independent of the way users are defined in Postfix (system
users, virtual mailboxes, virtual domains, please see
http://www.postfix.org/VIRTUAL_README.html ) or the way in which user passwords
are stored in the related IMAP server;

- users should not be able to modify other Postfix parameters or to overwrite
main.cf (as they can via Webmin or other remote administration solutions)

- should be present in the default postfix repository (probably as a separate
.rpm package)

- should integrate nicely with other related packages (dovecot, squirrelmail, etc.)

I'm marking this as "severity=high" because I consider it of general interest,
for a large mass of users.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Postfix doesn't provide a way for regular users to set up an autoreply message
for themselves (without administrator's intervention).

Expected results:

Such a way should exist; it should be accesible remotely in a facile way and
should be independent of the database backend used for usernames and passwords.

Additional info:
Comment 1 Răzvan Sandu 2008-01-18 01:50:02 EST
Hello - any news about that, please ?

Comment 2 Jaroslav Škarvada 2012-03-06 09:14:20 EST
I think this request is out of the postfix package maintainer scope. It is about development of new feature and it shouldn't be done on stable RHEL-5. For physical users you could use the .forward file in home directories. Also some of the available extensions could probably full-fill you requirements too (see http://www.postfix.org/addon.html). In case it is important for your business, please escalate this through customer portal.

Note You need to log in before you can comment on or make changes to this bug.